#
# spec file for package python-nosexcover
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test

Name:           python-nosexcover
Version:        1.0.10
Release:        18.2
Summary:        Extends nose.pluginscover to add Cobertura-style XML reports
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://github.com/cmheisel/nose-xcover/
Source:         http://pypi.python.org/packages/source/n/nosexcover/nosexcover-%{version}.tar.gz
BuildRequires:  %{python_module coverage}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  python-coverage
%endif
Requires:       python-nose
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
A companion to the built-in nose.plugins.cover, this plugin will write out
an XML coverage report to a file named coverage.xml.

%prep
%setup -q -n nosexcover-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Wed Aug 16 2017 daniel.molkentin@suse.com
- conditionalize tests, fdupes
* Tue Aug 15 2017 daniel.molkentin@suse.com
- Convert to singlespec
* Thu May  7 2015 benoit.monin@gmx.fr
- update to version 1.0.10:
  * no changelog available
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Apr 29 2013 dmueller@suse.com
- update to 1.0.8:
  * Add support for --xcoverage-file=FILE
* Mon Jul  2 2012 saschpe@suse.de
- Initial version
